6.6. Tra cứu sổ lệnh thường

GET/khronos/v1/order/in-day
Tra cứu sổ lệnh thường trong ngày của tài khoản phái sinh.

Header

TênKiểuBắt buộcMô tả
AuthorizationstringBearer <access token>.
Content-Typestringapplication/json.

Request parameter

TênKiểuBắt buộcMô tả
accountIdstringSố tài khoản lưu ký.
pageNonumberSố trang.
pageSizenumberSố phần tử trong trang.
symbolstringLọc: ALL,ALL = tất cả; VN30F2303,B = theo mã; ALL,B = theo L/S.
orderTypeenumLọc loại lệnh: '' = tất cả, 3 = Arbitrage, 4 = SL/TP, 5 = ForceClose, 6 = Thường.
statusenum0 = tất cả, 1 = chờ khớp, 2 = đã khớp.
refIdstringRef ID của lệnh.
GET /khronos/v1/order/in-day
curl "https://openapi.tcbs.com.vn/khronos/v1/order/in-day?accountId=105C031402&pageNo=1&pageSize=20&symbol=ALL,ALL&orderType=&status=0" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json"

Response

TênKiểuBắt buộcMô tả
rcstringMã kết quả, 1 = thành công.
dataarrayDanh sách lệnh thường.
data[].orderNostringSố hiệu lệnh.
data[].pk_orderNostringKey lệnh.
data[].sidestringB = Long, S = Short.
data[].symbolstringMã hợp đồng.
data[].volumenumberKhối lượng đặt.
data[].showPricestringGiá đặt.
data[].matchVolumenumberKhối lượng khớp.
data[].statusstringTrạng thái lệnh.
data[].isCancelstring0 = không thể hủy, 1 = có thể hủy.
data[].isAmendstring0 = không thể sửa, 1 = có thể sửa.
{
  "cmd": "Web.Order.IndayOrder",
  "rc": "1",
  "data": [
    {
      "orderNo": "37",
      "pk_orderNo": "7625908",
      "refId": "H.7387641765855363489",
      "orderTime": "13:34:47",
      "accountCode": "000112A",
      "side": "S",
      "symbol": "VN30F2303",
      "volume": "1",
      "showPrice": "MTL (1198)",
      "matchVolume": "1",
      "status": "PM",
      "orderStatus": "4",
      "channel": "I",
      "group": "FU",
      "isCancel": "0",
      "isAmend": "0",
      "orderType": "N",
      "source": "SYS"
    }
  ]
}